com.parse

## Interface AuthenticationCallback

    public interface AuthenticationCallback

Provides a general interface for delegation of third party authentication callbacks.

### Method Summary

Methods
`boolean` `onRestore(Map<String,String> authData)` Called when restoring third party authentication credentials that have been serialized, such as session keys, etc.

### Method Detail

#### onRestore

    boolean onRestore(Map<String,String> authData)

Called when restoring third party authentication credentials that have been serialized, such as session keys, etc.

Note: This will be executed on a background thread.

Parameters:
  `authData` - The auth data for the provider. This value may be `null` when unlinking an account.
Returns:
  `true` iff the `authData` was successfully synchronized or `false` if user should no longer be associated because of bad `authData`.